Skip to main content
PATCH
Update a sequence

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

sequence_id
string
required

The unique identifier of the sequence

Body

application/json
name
string
default:New Sequence
custom_id
string
is_continuous
boolean
default:true
filter
object | null
steps
object[]
Minimum array length: 1
respect_office_hours
boolean

Hold step sends outside the org office-hours window (defaults to true for new sequences)

office_hours_id
string<uuid> | null

Named office-hours config to use as the send window; null = org default hours

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Response

Default Response